> ## Documentation Index
> Fetch the complete documentation index at: https://docs.semicola.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Media buy timeline



## OpenAPI

````yaml /openapi/storefront.yaml get /api/v2/storefront/media-buys/{id}/timeline
openapi: 3.1.0
info:
  title: Semicola Exchange storefront API
  version: 2.0.0
  description: >-
    Seller (storefront) endpoints: storefront setup, inventory sources,
    products, AI Business Rules, playbook, demand inbox, proposals, approvals
    and seller reporting.
servers:
  - url: https://api.semicola.com
security:
  - bearerAuth: []
  - sessionCookie: []
tags:
  - name: Storefront
  - name: Inventory Sources
  - name: Products
  - name: Business Rules
  - name: Playbook
  - name: Library
  - name: Demand Inbox
  - name: Proposals
  - name: Approvals
  - name: Creative Reviews
  - name: Media Buys
  - name: Buyers
  - name: Reporting
  - name: Activity
  - name: Test Runs
paths:
  /api/v2/storefront/media-buys/{id}/timeline:
    get:
      tags:
        - Media Buys
      summary: Media buy timeline
      operationId: getStorefrontMediaBuysByIdTimeline
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            minLength: 1
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    anyOf:
                      - type: object
                        properties:
                          mediaBuyId:
                            type: string
                          status:
                            type: string
                            enum:
                              - pending_approval
                              - forwarding
                              - forward_failed
                              - awaiting_source
                              - rejected
                              - canceled
                              - booked
                              - delivering
                              - completed
                          stages:
                            type: array
                            items:
                              type: object
                              properties:
                                stage:
                                  type: string
                                  enum:
                                    - received
                                    - screened
                                    - decided
                                    - forwarded
                                    - submitted
                                    - source_moderation
                                    - accepted
                                    - delivering
                                    - forward_failed
                                label:
                                  type: string
                                status:
                                  type: string
                                  enum:
                                    - done
                                    - current
                                    - pending
                                    - failed
                                at:
                                  anyOf:
                                    - type: string
                                      format: date-time
                                      pattern: >-
                                        ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
                                    - type: 'null'
                                detail:
                                  type:
                                    - string
                                    - 'null'
                              required:
                                - stage
                                - label
                                - status
                                - at
                                - detail
                              additionalProperties: false
                          stuck:
                            anyOf:
                              - type: object
                                properties:
                                  stage:
                                    type: string
                                  since:
                                    type: string
                                    format: date-time
                                    pattern: >-
                                      ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
                                  reason:
                                    type: string
                                required:
                                  - stage
                                  - since
                                  - reason
                                additionalProperties: false
                              - type: 'null'
                          references:
                            type: object
                            properties:
                              idempotencyKey:
                                type:
                                  - string
                                  - 'null'
                              requestId:
                                type:
                                  - string
                                  - 'null'
                              adcpTaskId:
                                type:
                                  - string
                                  - 'null'
                            required:
                              - idempotencyKey
                              - requestId
                              - adcpTaskId
                            additionalProperties: false
                        required:
                          - mediaBuyId
                          - status
                          - stages
                          - stuck
                          - references
                        additionalProperties: false
                      - type: 'null'
                  error:
                    anyOf:
                      - type: object
                        properties:
                          code:
                            type: string
                          message:
                            type: string
                          field:
                            type: string
                          details: {}
                        required:
                          - code
                          - message
                        additionalProperties: false
                      - type: 'null'
                required:
                  - data
                  - error
                additionalProperties: false
        default:
          description: >-
            Error envelope `{data: null, error: {code, message, field?,
            details?}}`.
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key or OAuth access token.
    sessionCookie:
      type: apiKey
      in: cookie
      name: sc_session

````